打印

关于1.4升级到1.5中证书签名的疑惑,请指教

关于1.4升级到1.5中证书签名的疑惑,请指教

我看到1.5beta版本里面已经用acme来生成泛域名证书了。
我现在用的是1.4版本,我想问一下如何升级到1.5版本。

是不是直接下载1.5,然后解压后用upgrade.sh 脚本就可以了?
原来安装的cerbot是不是在升级之后,就自动失效了?是否需要手工确认和卸载?

我是不是可以这样理解?
1.下载1.5,解压缩
2.运行1.5升级脚本
3.运行SSL升级脚本

是不是这样就可以搞定了,不需要再去管之前的Certbot,
也不用去管之前的定时任务,脚本都会自动清理好的对吧?

如果我其他组件都不想升级,只想升级Certbot为acme,是不是只要运行
./upgrade1.x-1.5.sh ssl
就可以了? 谢谢~~

========================
之前certbot生成的SSL迁移到acme.sh
需要先在1.5安装包目录下 ./upgrade1.x-1.5.sh 升级管理脚本到最新1.5版本,然后再进行升级之前通过certbot生成的SSL证书,在安装包目录下执行:./upgrade1.x-1.5.sh ssl 进行升级,升级过程需要输入域名、网站目录信息,这些信息必须要和配置文件中的一致,不然会升级失败。不确定信息的话可以先cat /usr/local/nginx/conf/vhost/域名.conf,LAMP模式下是 cat /usr/local/apache/conf/vhost/域名.conf 。
没添加过SSL的虚拟主机依然是用lnmp ssl add 命令进行添加。

TOP



./upgrade1.x-1.5.sh ssl 会自动都进行处理了,不需要手动卸载处理等,只升级certbot到acme.sh 其他都不动

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP